This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 221714 - Yum loops trying to update gjdoc
Yum loops trying to update gjdoc
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-06 10:37 EST by Kasper Dupont
Modified: 2014-01-21 17:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 16:17:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2007-01-06 10:37:55 EST
Description of problem:
On an installation to be used as firewall I removed a number of packages not
needed for this functionality. Uninstalling gjdoc failed because of a missing
/usr/bin/rebuild-gcj-db (I think this might have been fixed with a later version
of gjdoc). To solve this problem I tried to update gjdoc using yum. This
resulted in a list of 21 dependencies to be installed:

--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 gjdoc                   i386       0.7.7-14.fc6     updates           794 k
Installing for dependencies:
 antlr                   i386       2.7.6-4jpp.2     core              978 k
 cairo                   i386       1.2.6-1.fc6      updates           406 k
 cups-libs               i386       1:1.2.7-1.5.fc6  updates           181 k
 fontconfig              i386       2.4.1-3.fc6      core              175 k
 freetype                i386       2.2.1-16.fc6     updates           312 k
 gtk2                    i386       2.10.4-10.fc6    updates           6.4 M
 hicolor-icon-theme      noarch     0.9-2.1          core               25 k
 java-1.4.2-gcj-compat   i386       1.4.2.0-40jpp.110  core               28 k
 jpackage-utils          noarch     1.7.3-1jpp.1.fc6  updates            61 k
 libX11                  i386       1.0.3-5.fc6      updates           793 k
 libXcursor              i386       1.1.7-1.1        core               32 k
 libXext                 i386       1.0.1-2.1        core               36 k
 libXfixes               i386       4.0.1-2.1        core               14 k
 libXft                  i386       2.1.10-1.1       core               44 k
 libXi                   i386       1.0.1-3.1        core               25 k
 libXinerama             i386       1.0.1-2.1        core              9.9 k
 libXrandr               i386       1.1.1-3.1        core               15 k
 libXrender              i386       0.9.1-3.1        core               27 k
 libXtst                 i386       1.0.1-3.1        core               16 k
 libgcj                  i386       4.1.1-30         core               17 M
 pango                   i386       1.14.8-1.fc6     updates           330 k

Transaction Summary
=============================================================================
Install     21 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 27 M

During the install yum starts looping using all CPU time and making no system
calls. The last output was:

Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: libX11                       ####################### [ 1/23]
  Installing: libXrender                   ####################### [ 2/23]
  Installing: libXext                      ####################### [ 3/23]
  Installing: freetype                     ####################### [ 4/23]
  Installing: fontconfig                   ####################### [ 5/23]
  Installing: cairo                        ####################### [ 6/23]
  Installing: libXrandr                    ####################### [ 7/23]
  Installing: libXfixes                    ####################### [ 8/23]
  Installing: jpackage-utils               ####################### [ 9/23]
  Installing: libXcursor                   ####################### [10/23]
  Installing: libXft                       ####################### [11/23]
  Installing: pango                        ####################### [12/23]
  Installing: libXinerama                  ####################### [13/23]
  Installing: libXtst                      ####################### [14/23]
  Installing: libXi                        ####################### [15/23]
  Installing: hicolor-icon-theme           ####################### [16/23]
  Installing: cups-libs                    ####################### [17/23]
  Installing: gtk2                         ####################### [18/23]
  Installing: libgcj                       ####################### [19/23]
  Installing: java-1.4.2-gcj-compat        ####################### [20/23]

Version-Release number of selected component (if applicable):
yum-3.0.1-2.fc6

How reproducible:
Haven't tried.
Comment 1 Jeremy Katz 2007-01-08 14:07:22 EST
Are there any processes running at the point that it loops?  This is likely a
scriptlet in a package going a little nuts
Comment 2 Kasper Dupont 2007-01-09 16:02:21 EST
It was the yum process that was using all the CPU time. I used strace and found
that it was not making any system calls.
Comment 3 Kasper Dupont 2007-02-01 15:24:06 EST
Now I have also seen yum looping in FC5. That happened when executing "yum
check-update" using yum-2.6.1-0.fc5.noarch.rpm, again top shows it is using all
the CPU time, and strace shows it is not executing any system calls at all. The
last output was:

Reading repository metadata in from local files
primary.xml.gz            100% |=========================|  16 kB    01:14
ftp://ftp.tecnoera.com/pub/fedora/linux/updates/5/i386/repodata/primary.xml.gz:
[Errno 4] Socket Error: timed out
Trying other mirror.
primary.xml.gz            100% |=========================| 404 kB    00:09
updates   : ################################################## 1139/1139
Added 18 new packages, deleted 1 old in 62.64 seconds
primary.xml.gz                                                  1.9 MB 00:37
extras    : ################################################## 6250/6250
Added 18 new packages, deleted 0 old in 269.27 seconds
Comment 4 Jeremy Katz 2007-04-25 15:02:14 EDT
Have you seen this again?  I'm completely unable to reproduce it
Comment 5 Seth Vidal 2007-08-03 16:17:25 EDT
closing due to lack of response

Note You need to log in before you can comment on or make changes to this bug.